## wxmaxima 18.02.0

=== CMakeLists.txt ===
if(WIN32)
    cmake_minimum_required(VERSION 3.4)
else()
    cmake_minimum_required(VERSION 2.8)
endif()

project(wxmaxima)

set(VERSION 18.02.0)
set(PACKAGE_VERSION ${VERSION})
set(GITVERSION ${VERSION})
set(PACKAGE wxMaxima)


# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Debug' as none was specified.")
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()


if("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
    message(WARNING "In-source builds are strongly discouraged. Please make an out-of-source-build instead (which means: run cmake and build the program from a different directory than the one the source package is in).")
endif()

# should the PDF doku be build from the texinfo source? (requires a TeX installation)
option(BUILD_PDF_DOCUMENTATION "Build the PDF documentation." NO)

# PREFIX should be defined, since it is used in the sourcecode and
# defined by the automake build system, but not defined by CMake by default.
add_definitions(-DPREFIX=\"${CMAKE_INSTALL_PREFIX}\")

# MacOSX version-min compiler settings
if(MACOSX_VERSION_MIN)
    message(STATUS "Compiling with min macosx version ${MACOSX_VERSION_MIN}")
    set(CMAKE_CXX_FLAGS -mmacosx-version-min=${MACOSX_VERSION_MIN})
    set(CMAKE_EXE_LINKER_FLAGS -mmacosx-version-min=${MACOSX_VERSION_MIN})
endif()


# Get the git version, if available.
find_package(Git)
if(Git_FOUND)
    if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                        OUTPUT_VARIABLE WXMAXIMA_GIT_VERSION
                        OUTPUT_STRIP_TRAILING_WHITESPACE)
        message(STATUS "Building from git development tree, revision: ${WXMAXIMA_GIT_VERSION}")
        add_definitions("-DWXMAXIMA_GIT_VERSION=\"${WXMAXIMA_GIT_VERSION}\"")
    endif()
endif()


add_subdirectory(locales)
add_subdirectory(Doxygen)
add_subdirectory(data)
add_subdirectory(info)
add_subdirectory(src)

if(WIN32)
    install(FILES COPYING README README.md DESTINATION wxMaxima/doc)
    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION wxMaxima/data)
else()
    install(FILES COPYING README README.md DESTINATION share/wxMaxima)
    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION share/wxMaxima)
endif()


# allow local execution (./wxmaxima-local) from the build directory without installation
if(UNIX)
    file(WRITE "${CMAKE_BINARY_DIR}/wxmaxima-local" "#!/bin/sh\n\"${CMAKE_BINARY_DIR}/src/wxmaxima\" \"$@\"\n")
    execute_process(COMMAND chmod +x "${CMAKE_BINARY_DIR}/wxmaxima-local")
endif()
# Build Packages
set(CPACK_GENERATOR "TGZ;TBZ2")
if(UNIX AND NOT APPLE)
    list(APPEND CPACK_GENERATOR "DEB") # Don't build DEB packages on MacOS
endif()

# build RPMs only if rpmbuild is installed
find_program(RPMBUILD_EXECUTABLE rpmbuild)
if(NOT RPMBUILD_EXECUTABLE)
    message(STATUS "rpmbuild not found - no RPM package will be build with make package.")
else()
    message(STATUS "rpmbuild found - RPM package can be build with make package.")
    list(APPEND  CPACK_GENERATOR "RPM")
endif()

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "wxMaxima is a GUI for the CAS Maxima")
set(CPACK_PACKAGE_VENDOR "The wxMaxima Team")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set(CPACK_PACKAGE_CONTACT "The wxMaxima Team <wxmaxima-devel@lists.sourceforge.net>")
set(CPACK_PACKAGE_SECTION "science")
set(CPACK_PACKAGE_ICON ${CMAKE_SOURCE_DIR}/data/wxmaxima.png)
set(CPACK_PACKAGE_VERSION "${VERSION}")

set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "maxima, maxima-doc")

# Build a tarball
set(CPACK_SOURCE_IGNORE_FILES
  "build/"
  ".git/"
  "Doxygen/html/"
  "\\\\.gmo$"
  "\\\\.mo$"
  "~$"
  "CPackConfig.cmake"
  "CPackSourceConfig.cmake"
  "CMakeCache.txt"
  "CMakeFiles"
  "_CPack_Packages"
  "wxmaxima-.*\\\\.tgz$"
  "wxmaxima-.*\\\\.deb$"
  "wxmaxima-.*\\\\.rpm$"
  "wxmaxima-.*\\\\.bz2$"
  "wxmaxima-.*\\\\.xz$"
  "wxmaxima-.*\\\\.Z$"
  "wxmaxima-.*\\\\.gz$"
  "${CPACK_SOURCE_IGNORE_FILES}")

add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# Debian wants to be able to download a signature of the source package from the
# project's download directory. If it cannot find it it will still work, but will
# issue a warning. For details see
# https://lintian.debian.org/tags/debian-watch-may-check-gpg-signature.html
find_program(gpg NAMES gpg pgp)
add_custom_target(gpg DEPENDS dist
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.bz2
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.xz
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.Z)

find_program(sha1sum   NAMES sha1sum)
find_program(sha256sum NAMES sha256sum)
find_program(sha512sum NAMES sha512sum)
file(WRITE "${CMAKE_BINARY_DIR}/create-checksums.sh" "#!/bin/sh\n")
# create checksums for binary packages
# "make package" must be run before "make checksums" to get them.
foreach(ext "tar.gz" "tar.bz2" "deb" "rpm")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} && ${CMAKE_COMMAND} -E md5sum wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} >> checksums-md5.txt\n")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} && ${sha1sum} wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} >> checksums-sha1.txt\n")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} && ${sha256sum} wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} >> checksums-sha256.txt\n")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} && ${sha512sum} wxmaxima-${VERSION}-${CMAKE_SYSTEM_NAME}.${ext} >> checksums-sha512.txt\n")
endforeach()

# create checksums for source packages
# "make package_source" must be run before "make checksums" to get them.
foreach(ext "tar.gz" "tar.bz2" "tar.xz" "tar.Z")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}.${ext} && ${CMAKE_COMMAND} -E md5sum wxmaxima-${VERSION}.${ext} >> checksums-md5.txt\n")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}.${ext} && ${sha1sum} wxmaxima-${VERSION}.${ext} >> checksums-sha1.txt\n")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}.${ext} && ${sha256sum} wxmaxima-${VERSION}.${ext} >> checksums-sha256.txt\n")
    file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "test -f wxmaxima-${VERSION}.${ext} && ${sha512sum} wxmaxima-${VERSION}.${ext} >> checksums-sha512.txt\n")
endforeach()
file(APPEND "${CMAKE_BINARY_DIR}/create-checksums.sh" "exit 0\n")

add_custom_target(checksums COMMAND chmod +x ${CMAKE_BINARY_DIR}/create-checksums.sh
                            COMMAND ${CMAKE_BINARY_DIR}/create-checksums.sh)

include(CPack)

=== Doxygen/CMakeLists.txt ===
find_package(Doxygen)

if(DOXYGEN_FOUND)
    # maybe these string commands may be changed to configure_file
    file(READ ${CMAKE_SOURCE_DIR}/Doxygen/Doxyfile DOXYFILE)
    file(COPY ${CMAKE_SOURCE_DIR}/Doxygen/wxMaxima.gif DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/html/)
    string(REPLACE "@HAVE_GRAPHVIZ@" "${DOXYGEN_DOT_FOUND}" DOXYFILE "${DOXYFILE}")
    string(REPLACE "@SRCDIR@" "${CMAKE_SOURCE_DIR}/Doxygen" DOXYFILE "${DOXYFILE}")
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.real "${DOXYFILE}")
    message(STATUS "Copied and patched ${CMAKE_SOURCE_DIR}/Doxygen/Doxyfile to ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.real")
    # html should probably be renamed to 'doxygen', 'sourcedocumentation' or something like that
    add_custom_target(html
        COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile.real)
else()
    message(STATUS "Doxygen not found. Source documentation will not be build." )
endif()

=== data/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/wxmathml.lisp.in ${CMAKE_CURRENT_BINARY_DIR}/wxmathml.lisp)

if(APPLE)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)
endif()

set(DATAFILES
        ${CMAKE_CURRENT_BINARY_DIR}/wxmathml.lisp
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.png
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.svg)

set(PIXMAPS
        ${CMAKE_CURRENT_SOURCE_DIR}/text-x-wxmathml.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/text-x-wxmaxima-batch.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima-16.xpm
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.png
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima-32.xpm)

if(WIN32)
    add_subdirectory(fonts)
    install(FILES ${DATAFILES} DESTINATION wxMaxima/data)
else()
    install(FILES ${DATAFILES}                                     DESTINATION share/wxMaxima)
    install(FILES ${PIXMAPS}                                       DESTINATION share/pixmaps)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima             DESTINATION share/bash-completion/completions)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.1           DESTINATION share/man/man1)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxMaxima.appdata.xml DESTINATION share/metainfo)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxMaxima.desktop     DESTINATION share/applications)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x-wxmathml.xml       DESTINATION share/mime/packages)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x-wxmaxima-batch.xml DESTINATION share/mime/packages)
endif()

# allow local execution (./wxmaxima-local) from the build directory without installation
if(UNIX)
    file(COPY ${DATAFILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif()

=== info/CMakeLists.txt ===
file(GLOB WXMAXIMA_HELP_FILES *.jpg *.png *.html)

#find_program(MAKEINFO makeinfo)
#if(NOT MAKEINFO)
#    message(WARNING "Makeinfo not found. Old wxmaxima.html will be installed.")
#else()
#    message(STATUS "Makeinfo found at ${MAKEINFO}")
#    add_custom_command(OUTPUT "wxmaxima.info"
#        COMMAND ${MAKEINFO} -o wxmaxima.info --no-split ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.texi)
#    add_custom_target(wxmaxima.info ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.info)
#    # where should the info file be installed? Is it used anywhere?
#
#    add_custom_command(OUTPUT "wxmaxima.html"
#        COMMAND ${MAKEINFO} -o wxmaxima.html --html --force --no-split ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.texi)
#    add_custom_target(wxmaxima.html ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.html)
#    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.html DESTINATION share/doc/wxmaxima)
#
#    if(BUILD_PDF_DOCUMENTATION)
#        add_custom_command(OUTPUT "wxmaxima.pdf"
#            COMMAND ${MAKEINFO} -o wxmaxima.pdf --pdf --force --no-split ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.texi)
#        add_custom_target(wxmaxima.pdf  ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.pdf)
#        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.pdf DESTINATION share/doc/wxmaxima)
#    endif()
#endif()

if(WIN32)
    install(FILES ${WXMAXIMA_HELP_FILES} DESTINATION wxMaxima/help)
else()
    install(FILES ${WXMAXIMA_HELP_FILES} DESTINATION share/doc/wxmaxima)
endif()

# allow local execution (./wxmaxima-local) from the build directory without installation
if(UNIX)
    file(COPY ${WXMAXIMA_HELP_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif()

=== locales/CMakeLists.txt ===
find_package(Gettext)

# which languages are supported?
file(GLOB TRANSLATION_FILES *.po)

# which sourcecode and data files can contain translatable text?
file(GLOB POT_SOURCE_FILES ${CMAKE_SOURCE_DIR}/src/*.cpp ${CMAKE_SOURCE_DIR}/src/*.h ${CMAKE_SOURCE_DIR}/data/tips.txt)

if(GETTEXT_FOUND)
    find_program(XGETTEXT xgettext)
    # generate a wxMaxima.pot in the build dir - don't touch the existing source (for now)
    # if that is okay, one may copy it to the source dir.
    # Currently the full source paths are used in the comments.
    message(STATUS "Create POT-file from current sourcecode and tips file")
    execute_process(
        COMMAND ${XGETTEXT} -C -k_ -s -o "wxMaxima.pot" ${POT_SOURCE_FILES})

    foreach(POFILE ${TRANSLATION_FILES})
        string(REGEX REPLACE ".*locales/(.*).po$" "\\1" LANG ${POFILE})

        # convert the po to mo files and install them
        # (FIXME: different destination directories on Windows and Unix, should probably be unified.)
        gettext_process_po_files(${LANG} ALL PO_FILES ${POFILE})
        if(WIN32)
            install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo"
                    DESTINATION "wxMaxima/locale/${LANG}/LC_MESSAGES/"
                    RENAME "wxMaxima.mo")
        else()
            install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo"
                    DESTINATION "share/locale/${LANG}/LC_MESSAGES/"
                    RENAME "wxMaxima.mo")
        endif()
        # Call msgmerge for each language and create a merged language file
        message(STATUS "Create PO-file for language ${LANG}")
        execute_process(
            COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} ${CMAKE_SOURCE_DIR}/locales/${LANG}.po ${CMAKE_BINARY_DIR}/wxMaxima.pot
            OUTPUT_FILE "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po.new"
            ERROR_QUIET)
        file(RENAME "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po.new" "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po")
    endforeach()
    message(STATUS "The new POT and PO files were generated in the build directory.")
    message(STATUS "Call 'make update-locale' to modify the wxMaxima sourcecode.")


    file(GLOB NEW_PO_FILES "${CMAKE_BINARY_DIR}/locales/*.po")
    add_custom_target(update-locale
        COMMAND ${CMAKE_COMMAND} -E copy
                "${CMAKE_BINARY_DIR}/wxMaxima.pot"
                "${CMAKE_SOURCE_DIR}/locales/wxMaxima.pot"
        COMMAND sh -c "cp *.po ${CMAKE_SOURCE_DIR}/locales/" # FIXME: Convert to a CMake copy command...
        COMMENT "Installing wxMaxima.pot and po-files in the source directory ${CMAKE_SOURCE_DIR}")
else()
    message(STATUS "Gettext not found - translations will be disabled")
endif()

=== src/CMakeLists.txt ===
find_package(wxWidgets REQUIRED std xml html adv aui core net base richtext)

include(${wxWidgets_USE_FILE})

file(GLOB SOURCE_FILES *.cpp *.h)


if(WIN32)
    include_directories(${CMAKE_SOURCE_DIR}/data/winrc)
    set(SOURCE_FILES Resources.rc ../data/winrc/wxmaxima.manifest ${SOURCE_FILES})
endif()

# We put Setup.h into binary dir
include_directories("${CMAKE_CURRENT_BINARY_DIR}")

# OSX binary folders
if(APPLE)
  # DEFINE FILES
  file(GLOB RESOURCES_FILES
    ${CMAKE_BINARY_DIR}/data/wxmathml.lisp
    ${CMAKE_SOURCE_DIR}/test/testbench_simple.wxmx
    ${CMAKE_SOURCE_DIR}/data/wxmaxima.png
    ${CMAKE_SOURCE_DIR}/data/wxmaxima.svg)
  file(GLOB RESOURCES_FILES_OSX
    ${CMAKE_SOURCE_DIR}/art/wxmac.icns
    ${CMAKE_SOURCE_DIR}/art/wxmac-doc.icns
    ${CMAKE_SOURCE_DIR}/art/wxmac-doc-wxm.icns
    ${CMAKE_SOURCE_DIR}/art/wxmac-doc-wxmx.icns)
  file(GLOB HELP_FILES
    ${CMAKE_SOURCE_DIR}/info/*.html
    ${CMAKE_SOURCE_DIR}/info/*.jpg
    ${CMAKE_SOURCE_DIR}/info/*.png
    ${CMAKE_SOURCE_DIR}/info/*.hhp)
  file(GLOB CONTENT_FILES
    ${CMAKE_BINARY_DIR}/data/Info.plist
    ${CMAKE_SOURCE_DIR}/data/PkgInfo)
  file(GLOB FONT_FILES
    ${CMAKE_SOURCE_DIR}/data/fonts/*.ttf)
    # DEFINE DIRECTORIES
    set(APP_DIR ${CMAKE_BINARY_DIR}/wxMaxima.app/Contents)
    set(APP_MACOSX_DIR ${APP_DIR}/MacOS)
    set(APP_RESOURCES_DIR ${APP_DIR}/Resources)
    set(APP_HELP_DIR ${APP_RESOURCES_DIR}/help)
    set(APP_FONTS_DIR ${APP_RESOURCES_DIR}/fonts)
    # CUSTOM TARGET
    add_custom_target(wxMaxima.app)
    add_custom_command(TARGET wxMaxima.app PRE_BUILD
      COMMAND ${CMAKE_COMMAND} -E make_directory ${APP_MACOSX_DIR})
    add_custom_command(TARGET wxMaxima.app PRE_BUILD
      COMMAND ${CMAKE_COMMAND} -E make_directory ${APP_HELP_DIR})
    add_custom_command(TARGET wxMaxima.app
      COMMAND ${CMAKE_COMMAND} -E make_directory ${APP_FONTS_DIR})
    foreach(f ${CONTENT_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_DIR})
    endforeach()
    foreach(f ${RESOURCES_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_RESOURCES_DIR})
    endforeach()
    foreach(f ${RESOURCES_FILES_OSX})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_RESOURCES_DIR})
    endforeach()
    foreach(f ${HELP_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_HELP_DIR})
    endforeach()
    foreach(f ${FONT_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f} ${APP_FONTS_DIR})
    endforeach()
endif()

if(WIN32)
    add_executable(wxmaxima WIN32 ${SOURCE_FILES})
elseif(APPLE)
    add_executable(wxmaxima ${SOURCE_FILES})
    set_target_properties(wxmaxima PROPERTIES
              RUNTIME_OUTPUT_DIRECTORY_DEBUG   ${CMAKE_BINARY_DIR}/wxMaxima.app/Contents/MacOS
              RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/wxMaxima.app/Contents/MacOS
	      MACOSX_BUNDLE_INFO_PLIST ${CMAKE_BINARY_DIR}/Info.plist
	      RESOURCE "${ALLRERESOURCES}"
	      )
    # make wxmathml.lisp ship with the Mac App

    add_dependencies(wxmaxima wxMaxima.app)
else()
    add_executable(wxmaxima ${SOURCE_FILES})
endif()

target_link_libraries(wxmaxima ${wxWidgets_LIBRARIES})

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (proc/procps.h HAVE_PROCPS_H)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Setup.h.cin ${CMAKE_CURRENT_BINARY_DIR}/Setup.h)

if(WIN32)
    install(TARGETS wxmaxima RUNTIME DESTINATION wxMaxima)
else()
    install(TARGETS wxmaxima RUNTIME DESTINATION bin)
endif()

=== data/fonts/CMakeLists.txt ===
file(GLOB fontfiles ${CMAKE_CURRENT_SOURCE_DIR}/*.ttf)

# need only be installed on Windows.
install(FILES ${fontfiles} DESTINATION wxMaxima/fonts)

## wxmaxima 0.8.4

=== debian/changelog ===
wxmaxima (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - wxMaxima shows now appropriate error messages when plotting undefined
      functions. (closes: #545105)
  * Switched to source format "3.0 (quilt)".
  * Removed debian/patches/001_renamed_client_to_server.patch which was
    required for Maxima (<< 5.18). Now that a newer Maxima version is in
    unstable, this patch has been dropped and the Maxima dependency has
    been bumped to (>= 5.18). (closes: #561326)
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Wed, 16 Dec 2009 12:34:45 +0100

wxmaxima (0.8.3a-2) unstable; urgency=low

  * debian/watch: Changed regexp to match versions with lower case characters.
  * debian/control: Recommend ttf-jsmath which is required for displaying
    mathematical symbols and greek letters. Thanks to Brendon Higgins!
    (closes: #550022)

 -- Frank S. Thomas <fst@debian.org>  Sun, 18 Oct 2009 17:05:03 +0200

wxmaxima (0.8.3a-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version from 3.8.2 to 3.8.3, no changes
    required.
  * debian/patches/: wxmaxima.desktop was updated upstream according to the
    latest freedesktop.org specs so reduced 201_fix_desktop_file.patch to the
    Debian specific bits and renamed it to 002_adapt_desktop_file.patch.
  * debian/rules: Do not configure with "--enable-unicode-glyphs" because this
    option has been removed in this release.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Sat, 29 Aug 2009 11:09:53 +0200

wxmaxima (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Set configure's --build and --host options properly
    according to the autotools-dev documentation.
  * debian/patches/: Added 001_renamed_client_to_server.patch so that wxMaxima
    works with Maxima (<< 5.18).
  * debian/control: This version requires wxWidgets (>= 2.8.4), bumped
    build-dependency accordingly.
  * Update config.{guess,sub} at build time and therefore added autotools-dev
    to Build-Depends.

 -- Frank S. Thomas <fst@debian.org>  Sun, 28 Jun 2009 13:58:42 +0200

wxmaxima (0.8.1-1) unstable; urgency=low

  * New upstream release. (closes: #484281, #508181)
    - Does not fail to build from source. (closes: #527708)
    - Warns on quit if modified files are not saved. (closes: #457599)
    - Does not display an error pupup on program startup. (closes: #368630)
    - Does not exhibit "strange" Lisp errors with recent maxima.
      (closes: #493882, #487391)
  * debian/control:
    - Took over package from Rafa Rodríguez Galván with his permission. Thanks
      Rafa and Marco for all your work! Set Debian Science Maintainers as
      Maintainer and myself as Uploader.
    - Added Vcs-{Git,Browser} and Homepage fields.
    - wxWidgets >= 2.8.0 is required now; updated build-dependency accordingly.
    - Bumped Standards-Version to 3.8.2.
    - libxml2-dev is not required anymore; removed it from Build-Depends.
    - Edited Description with the help of the debian-l10n-english folks.
  * Updated debian/copyright and adapted it to DEP5. (closes: #439964)
  * Added debian/watch file.
  * debian/wxmaxima.menu:
    - Changed section "Apps/Math" to "Applications/Science/Mathematics".
    - Use 16x16 and 32x32 wxMaxima icons. (closes: #428820)
  * Use dh and quilt's new debhelper addon instead of CDBS to minimize
    debian/rules. This required to build-depend on debhelper (>= 7.0.50) and
    quilt (>= 0.46-7).
  * debian/patches/:
    - Added 201_fix_desktop_file.patch that changes wxmaxima.desktop so that it
      is valid according to the latest freedesktop.org specs. (closes: #466997)
    - Removed config.patch; applied upstream.

 -- Frank S. Thomas <fst@debian.org>  Sat, 27 Jun 2009 15:18:46 +0200

wxmaxima (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Added a patch to replace automatically the parameter 'maxima' in 
    users ~/.wxMaxima if set to a wrong value (it happens on upgrades from
    wxmaxima_0.7.0a-1). (Closes: #391535)

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 26 Feb 2007 12:32:24 +0000

wxmaxima (0.7.0a-1) unstable; urgency=low

  * New upstream release.
  * Updated depends on maxima (>= 5.10.0). Closes: #387782
  * Added depends on maxima-doc
  * Bumped standard versions tp 3.7.2
  * Added a patch to locate documentation
  * Disabled support for drag and drop (knonw bug in upstream sources)

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed, 27 Sep 2006 11:39:41 +0200

wxmaxima (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Upstream changes fix documentation browsing. Closes: #340152

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 21 Nov 2005 15:57:51 -0500

wxmaxima (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * wxmaxima now depends on maxima>=5.9.2 due to case-sensitive 
    commands introduction in maxima 5.9.2

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 17 Nov 2005 22:12:36 -0500

wxmaxima (0.6.2-4) unstable; urgency=low

  * Added wxmaxima.desktop

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue, 25 Oct 2005 14:52:44 -0400

wxmaxima (0.6.2-3) unstable; urgency=low

  [ Rafa Rodriguez Galvan ]
  * Provided wxmaxima.menu entry. Closes: #335645.
  
  [ Marco Presi ]
  * Added maxima icon.

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue, 25 Oct 2005 12:17:05 -0400

wxmaxima (0.6.2-2) unstable; urgency=low

  * Modified erroneous entry in Maintainer: field.

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 23 Oct 2005 13:27:55 -0400

wxmaxima (0.6.2-1) unstable; urgency=low

  * Initial release Closes: #290922

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed,  5 Oct 2005 00:38:43 -0400

=== debian/control ===
Source: wxmaxima
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Frank S. Thomas <fst@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
Homepage: http://wxmaxima.sourceforge.net/

Package: wxmaxima
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maxima (>= 5.18),
 maxima-doc (>= 5.10.0)
Recommends: ttf-jsmath
Description: GUI for the computer algebra system Maxima
 wxMaxima is a graphical user interface for the computer algebra system
 Maxima. It eases the use of Maxima by making most of its commands available
 through a menu system and by providing input dialogs for commands that
 require more than one argument. It also implements its own display engine
 that outputs mathematical symbols directly instead of depicting them with
 ASCII characters.
 .
 wxMaxima also features 2D and 3D inline plots, simple animations, mixing of
 text and mathematical calculations to create documents, exporting of input
 and output to TeX, and a browser for Maxima's manual including command index
 and full text searching.

## wxmaxima 0.8.5

=== debian/changelog ===
wxmaxima (0.8.5-2) unstable; urgency=low

  * debian/control: Recommend libgnomeprintui2.2-0 which is required to
    print properly. Thanks to Andres Cimmarusti for hunting down this
    issue. (closes: #575297)

 -- Frank S. Thomas <fst@debian.org>  Sat, 12 Jun 2010 01:58:34 +0200

wxmaxima (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.8.3 to 3.8.4, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Tue, 04 May 2010 22:33:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
 Homepage: http://wxmaxima.sourceforge.net/
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, maxima (>= 5.18),
  maxima-doc (>= 5.10.0)
-Recommends: ttf-jsmath
+Recommends: ttf-jsmath, libgnomeprintui2.2-0
 Description: GUI for the computer algebra system Maxima
  wxMaxima is a graphical user interface for the computer algebra system
  Maxima. It eases the use of Maxima by making most of its commands available

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already). Refer to
# the section "Calling GNU configure properly" in
# /usr/share/doc/autotools-dev/README.Debian.gz for more details.
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@

override_dh_auto_configure:
	cp -f /usr/share/misc/config.guess .
	cp -f /usr/share/misc/config.sub .
	
	dh_auto_configure -- \
	  $(confflags) \
	  --enable-printing \
	  CXXFLAGS="$(CXXFLAGS) -Wall" \
	  LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_install:
	dh_auto_install
	rm debian/wxmaxima/usr/share/wxMaxima/COPYING

## wxmaxima 11.04.0

=== debian/changelog ===
wxmaxima (11.04.0-1) unstable; urgency=low

  * New upstream release.
    - Adds support for CUA editing keys. (closes: #610559)
  * debian/rules: Added a get-orig-source target that calls uscan to document
    explicitly how upstream tarballs are obtained.

 -- Frank S. Thomas <fst@debian.org>  Sat, 23 Apr 2011 00:37:15 +0200

wxmaxima (0.8.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Frank S. Thomas <fst@debian.org>  Sun, 06 Feb 2011 10:29:26 +0100

wxmaxima (0.8.7-1) experimental; urgency=low

  * New upstream release.

 -- Frank S. Thomas <fst@debian.org>  Thu, 27 Jan 2011 08:32:01 +0100

wxmaxima (0.8.6-1) experimental; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.8.4 to 3.9.1, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Sun, 14 Nov 2010 09:20:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
 Homepage: http://wxmaxima.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/wxmaxima/usr/share/wxMaxima/COPYING
+
+get-orig-source:
+	uscan --force-download --repack --rename --destdir .
+
+.PHONY: get-orig-source

## wxmaxima 11.08.0

=== debian/changelog ===
wxmaxima (11.08.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.9.1 to 3.9.2, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Mon, 15 Aug 2011 08:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
-Homepage: http://wxmaxima.sourceforge.net/
+Homepage: http://andrejv.github.com/wxmaxima/
 
 Package: wxmaxima
 Architecture: any

## wxmaxima 12.01.0

=== debian/changelog ===
wxmaxima (12.01.0-1) unstable; urgency=low

  * New upstream release.
    - Registers text/x-wxmaxima-batch as MimeType for wxMaxima documents.
      (closes: #626525)
    - Indicates in the desktop file that a filename can be passed as command
      line argument to wxMaxima. (LP: #887806)
  * Updated debian/copyright according to the latest DEP5 specification.

 -- Frank S. Thomas <fst@debian.org>  Tue, 17 Jan 2012 21:27:27 +0100

## wxmaxima 12.04.0

=== debian/changelog ===
wxmaxima (12.04.0-1) unstable; urgency=low

  * New upstream release.
    - Shows the output of build_info(). (closes: #670088)
  * Bumped Standards-Version from 3.9.2 to 3.9.3, no changes required.
  * Use debhelper >= 9 and dpkg-buildflags.
  * Added independent license paragraphs to debian/copyright.

 -- Frank S. Thomas <fst@debian.org>  Tue, 01 May 2012 18:04:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libwxgtk2.8-dev (>= 2.8.4)
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
 Homepage: http://andrejv.github.com/wxmaxima/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-printing

override_dh_auto_install:
	dh_auto_install
	rm debian/wxmaxima/usr/share/wxMaxima/COPYING

get-orig-source:
	uscan --force-download --repack --rename --destdir .

.PHONY: get-orig-source

## wxmaxima 13.04.2

=== debian/changelog ===
wxmaxima (13.04.2-2) unstable; urgency=low

  * Use dh-autoreconf to support arm64. (closes: #728003)
  * Bumped Standards-Version from 3.9.4 to 3.9.5, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Sun, 16 Mar 2014 10:05:36 +0100

wxmaxima (13.04.2-1.1) unstable; urgency=low

  * Non-maintainer upload at maintainer's request.
  * Update to use wxWidgets 3.0.  (closes: #741569)

 -- Olly Betts <olly@survex.com>  Sat, 15 Mar 2014 10:59:46 +1300

wxmaxima (13.04.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable. (closes: #711965)
  * Updated debian/copyright for the new release.
  * Bumped Standards-Version from 3.9.3 to 3.9.4, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Wed, 19 Jun 2013 18:16:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
-Build-Depends: debhelper (>= 9), libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
 Homepage: http://andrejv.github.com/wxmaxima/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall -DNDEBUG
 export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-printing

=== debian/watch ===
version=3
http://sf.net/wxmaxima/ wxMaxima-([\d\.a-z]+)\.tar\.gz

## wxmaxima 15.04.0

=== debian/changelog ===
wxmaxima (15.04.0-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:28:37 +0200

wxmaxima (15.04.0-1) unstable; urgency=medium

  * New upstream release with many new features (closes: bug#752528, #617355)
    The list of the most important user-visible changes can be viewed in
    the file ChangeLog in the original tarball.
  * New maintainer (closes: bug#744706)
  * Added ibus-gtk2 to the dependencies (needed for hotkey processing in some
    setups)
  * Added imagemagick to the dependencies (else export of animations breaks
    silently)
  * Changed recommended font from ttf-jsmath (virtual package) to the real
    package fonts-jsmath
  * wxMaxima now includes a manual that adds perl, texinfo and gettext to the
    build-dependencies  * debian/copyright: The tango icons have been released
    to the public domain
  * debian/compat: Updated the standards version to 9.
  * The patch that adds the desktop file now is included in upstream
  * The patch that improves key modifier handling now is included in upstream
  * Desktop integration (.desktop file, desktop icon, registered mimetypes,
    appdata.xml) is
    now included in upstream.
  * debian/copyright: Corrected the filename of data/wxmathml.lisp
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  sat, 04 Jul 2015 10:16:36 +0100

wxmaxima (13.04.2-4) unstable; urgency=medium

  * QA upload.
  * New patch 100_improve_key_modifiers_handling.patch cherry-picked from
    upstream git which fixes #742988 under wxWidgets 3.0.
  * Update to use wxWidgets 3.0 again.  (closes: #741569)

 -- Olly Betts <olly@survex.com>  Tue, 29 Apr 2014 09:47:11 +1200

wxmaxima (13.04.2-3) unstable; urgency=medium

  * Orphan package.
  * Revert the update to wxWidgets 3.0. (closes: #742988)
  * Remove myself from Uploaders and set the QA Group as Maintainer.

 -- Frank S. Thomas <fst@debian.org>  Sun, 27 Apr 2014 09:41:59 +0200

=== debian/control ===
Source: wxmaxima
Section: math
Priority: optional
Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev, perl, texinfo, gettext
Vcs-Browser: https://github.com/andrejv/wxmaxima
Standards-Version: 3.9.6
Vcs-Git: git://git@github.com:andrejv/wxmaxima.git
Homepage: http://andrejv.github.com/wxmaxima/

Package: wxmaxima
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maxima (>= 5.18), ibus-gtk3,
 maxima-doc (>= 5.10.0), imagemagick
Recommends: fonts-jsmath, texlive-latex-extra
Description: GUI for the computer algebra system Maxima
 wxMaxima is a graphical user interface for the computer algebra system
 Maxima. It eases the use of Maxima by making most of its commands available
 through a menu system and by providing input dialogs for commands that
 require more than one argument. It also implements its own display engine
 that outputs mathematical symbols directly instead of depicting them with
 ASCII characters.
 .
 wxMaxima also features 2D and 3D inline plots, simple animations, mixing of
 text and mathematical calculations to create documents, exporting of input
 and output to TeX, and a browser for Maxima's manual including command index
 and full text searching.

## wxmaxima 15.08.2

=== debian/changelog ===
wxmaxima (15.08.2-1) unstable; urgency=medium

  * New upstream release. Fixes sidebar buttons and toolbar enable.
  * Removed the broken and duplicate menu file
  * Unbroke the remaining menu file (closes: bug#798156)
  * added a .gbp file for debcheckout
  * Added information about the packaging branch to debian/control
  * Dropped the patch that adds a missing .po file since it was added upstream
  * Dropped the parch that adds a mimetype to the .desktop file (is upstream)
  * Now we register our docs with doc-base
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 09 Sep 2015 03:39:36 +0100

wxmaxima (15.08.1-2) unstable; urgency=medium

  * Added a patch that adds the missing en.po to the tarball.
  * Added a patch that corrects the desktop file.
  * Cleaned up debian/rules
  * Added the .menu file to the debian directory
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Thu, 03 Sep 2015 07:37:36 +0100

wxmaxima (15.08.1-1) unstable; urgency=medium

  * New upstream release (closes: bug#466997) introducing
    syntax highlighting, many performance, stability and usability fixes,
    a content assistant, a state-of-the-art html export,
    compatibility to maxima 5.37, support for a subset of Markdown and
    bash autocompletion
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Tue, 01 Sep 2015 19:03:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev, perl, texinfo, gettext
 Vcs-Browser: https://github.com/andrejv/wxmaxima
 Standards-Version: 3.9.6
-Vcs-Git: git://git@github.com:andrejv/wxmaxima.git
+Vcs-Git: git://git@github.com:andrejv/wxmaxima.git -b DebianPackaging
 Homepage: http://andrejv.github.com/wxmaxima/
 
 Package: wxmaxima

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-printing
 
+override_dh_auto_build:
+	make
+	make allmo
+
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/wxmaxima/usr/share/wxMaxima/COPYING

=== debian/watch ===
version=3
http://sf.net/wxmaxima/wxmaxima-(\d\S*)\.tar\.gz

## wxmaxima 16.04.1

=== debian/changelog ===
wxmaxima (16.04.1-1) unstable; urgency=medium

  * New upstream release. Fixes another printing problem, a possible crash
    and a scrolling issue.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 06 Apr 2016 12:17:36 +0100

wxmaxima (16.04.0-1) unstable; urgency=medium

  * New upstream release. Fixes printing and brings in many new features,
    bug fixes, performance and stability improvements.
  * Moved the patch that removes the double menu upstream
  * Deleted the .menu file that should be obsolete by now, anyway.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 03 Apr 2016 18:28:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev, perl, texinfo, gettext
 Vcs-Browser: https://github.com/andrejv/wxmaxima
-Standards-Version: 3.9.6
-Vcs-Git: git://git@github.com:andrejv/wxmaxima.git -b DebianPackaging
+Standards-Version: 3.9.7
+Vcs-Git: https://github.com/andrejv/wxmaxima.git -b DebianPackaging
 Homepage: http://andrejv.github.com/wxmaxima/
 
 Package: wxmaxima

## wxmaxima 16.04.2

=== debian/changelog ===
wxmaxima (16.04.2-1) unstable; urgency=medium

  * New upstream release. Fixes bugs reported since the last release including
    special cases of integrals and fractions.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 11 May 2016 21:20:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev, perl, texinfo, gettext
 Vcs-Browser: https://github.com/andrejv/wxmaxima
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://github.com/andrejv/wxmaxima.git -b DebianPackaging
 Homepage: http://andrejv.github.com/wxmaxima/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall -DNDEBUG
 export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed

## wxmaxima 16.12.2

=== debian/changelog ===
wxmaxima (16.12.2-3) unstable; urgency=medium

  * Added a patch that corrects the size of embedded plots. (Closes: #870499)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 2 Aug 2017 19:57:36 +0100

wxmaxima (16.12.2-2) unstable; urgency=medium

  * Fix an incompatibility with current versions of gcl. (Closes: #853787)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 24 Jul 2017 16:37:36 +0100

wxmaxima (16.12.2-1) unstable; urgency=medium

  * New upstream release that repairs drag-and-drop.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 25 Jan 2017 22:41:36 +0100

wxmaxima (16.12.0-1) unstable; urgency=medium

  * New upstream release. Contains literally hundreds of bug fixes,
    performance improvements and usability improvements.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 12 Dec 2016 06:42:36 +0100

## wxmaxima 17.10.1

=== debian/changelog ===
wxmaxima (17.10.1-1) unstable; urgency=medium

  * New upstream release incorporating all the patches and enabling
    tooltips for the more exotic worksheet items
  * Dropped all the patches.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 22 Oct 2017 06:40:36 +0100

wxmaxima (17.10.0-3) unstable; urgency=medium

  * debian/control: Instead of dropping the dependency to a specific maxima
    I accidentally dropped the dependency to maxima entirely.
    (closes: bug#877891)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 6 Oct 2017 21:52:36 +0100

wxmaxima (17.10.0-2) unstable; urgency=medium

  * Patch: One of the bugfixes in wxMaxima could cause a race condition that could
    cause maxima's output to be attached to the wrong input cell => Reverted that
    bugfix as attaching the output at the right place is more important than
    supporting :lisp commands in the very first cell of the worksheet.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 6 Oct 2017 9:25:36 +0100

wxmaxima (17.10.0-1) unstable; urgency=medium

  * New upstream release with many new features, bugfixes and performance
    improvements.
  * Switched the build system to cmake replacing the dependency to dh-autoreconf
    by the dependency to cmake.
  * Bumped the standards version to 3.9.8
  * debian/rules: Cleaned up override_dh_auto_build and override_dh_auto_install
  * debian/control: wxMaxima doesn't depend on a specific version of maxima and
    maxima-doc.
  * debian/control: There is a good fallback for a missing fonts-jsmath.
    maxima-doc isn't necessary for running wxMaxima and the type of pdf
    animations texlive-latex-extra was needed for are no more
    supported by any major pdf viewer => Changed these packages to "suggested".
  * debian/control: Dropped the dependency to ImageMagick, perl and texinfo
    which are no more used.
  * debian/copyright: wxmathml.lisp has been replaced by wxmathml.lisp.in
  * debian/watch: github is the new project location.
  *  Tried to make the watch file work again.
  * Dropped all patches as they were upstreamed.
  * Added a Patch that updates the location of appdata.xml
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 1 Oct 2017 21:12:36 +0100

## wxmaxima 18.02.0

=== debian/changelog ===
wxmaxima (18.02.0-2) unstable; urgency=medium

  * Added a patch that repairs "Replace all" when not matching the case.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sat, 21 Feb 2018 03:25:36 +0100

wxmaxima (18.02.0-1) unstable; urgency=medium

  * New upstream release (closes: bug#890637, #890212)
  * Added a patch that makes the new version use the correct gnuplot parameters.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sat, 17 Feb 2018 19:07:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev, perl, texinfo, gettext
+Build-Depends: debhelper (>= 10), cmake, libwxgtk3.0-dev, gettext
 Vcs-Browser: https://github.com/andrejv/wxmaxima
 Standards-Version: 3.9.8
 Vcs-Git: https://github.com/andrejv/wxmaxima.git -b DebianPackaging
@@ -10,9 +10,9 @@
 
 Package: wxmaxima
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, maxima (>= 5.18), ibus-gtk3,
- maxima-doc (>= 5.10.0), imagemagick
-Recommends: fonts-jsmath, texlive-latex-extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-gtk3, maxima
+Recommends: maxima-doc
+Suggests: fonts-jsmath, texlive-latex-extra
 Description: GUI for the computer algebra system Maxima
  wxMaxima is a graphical user interface for the computer algebra system
  Maxima. It eases the use of Maxima by making most of its commands available

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,10 @@
 export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-printing
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_build:
-	make
-	make allmo
+	dh_auto_build -- all
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
https://github.com/andrejv/wxmaxima/tags .*/Version-(\d{2}.\d{2}.\d|\d{2}.\d.\d).tar.gz
